summaryrefslogtreecommitdiff
path: root/gr-ezdop/src/python
diff options
context:
space:
mode:
Diffstat (limited to 'gr-ezdop/src/python')
-rw-r--r--gr-ezdop/src/python/Makefile.am32
-rwxr-xr-xgr-ezdop/src/python/qa_ezdop.py52
-rw-r--r--gr-ezdop/src/python/run_tests.in51
3 files changed, 135 insertions, 0 deletions
diff --git a/gr-ezdop/src/python/Makefile.am b/gr-ezdop/src/python/Makefile.am
new file mode 100644
index 0000000000..dc40b40407
--- /dev/null
+++ b/gr-ezdop/src/python/Makefile.am
@@ -0,0 +1,32 @@
+#
+# Copyright 2004 Free Software Foundation, Inc.
+#
+# This file is part of GNU Radio
+#
+# GNU Radio is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Radio is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Radio; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+#
+
+include $(top_srcdir)/Makefile.common
+
+EXTRA_DIST = run_tests.in
+
+
+TESTS = \
+ run_tests
+
+
+noinst_PYTHON = \
+ qa_ezdop.py
diff --git a/gr-ezdop/src/python/qa_ezdop.py b/gr-ezdop/src/python/qa_ezdop.py
new file mode 100755
index 0000000000..47d26a791c
--- /dev/null
+++ b/gr-ezdop/src/python/qa_ezdop.py
@@ -0,0 +1,52 @@
+#!/usr/bin/env python
+#
+# Copyright 2004 Free Software Foundation, Inc.
+#
+# This file is part of GNU Radio
+#
+# GNU Radio is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Radio is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Radio; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+#
+
+from gnuradio import gr, gr_unittest
+import ezdop
+
+class qa_ezdop(gr_unittest.TestCase):
+
+ def setUp (self):
+ self.fg = gr.flow_graph ()
+
+ def tearDown (self):
+ self.fg = None
+"""
+ def test_001_installed(self):
+ DOP = ezdop.source_c();
+
+ def test_002_start_stop(self):
+ DOP = ezdop.source_c();
+ DOP.set_rate(1000);
+ print "rate =", DOP.rate()
+ DOP.rotate();
+
+ self.fg.connect(DOP, gr.null_sink(gr.sizeof_gr_complex))
+ try:
+ self.fg.run()
+ except KeyboardInterrupt:
+ pass
+ DOP.stop_rotating();
+"""
+
+if __name__ == '__main__':
+ gr_unittest.main ()
diff --git a/gr-ezdop/src/python/run_tests.in b/gr-ezdop/src/python/run_tests.in
new file mode 100644
index 0000000000..728da1de1e
--- /dev/null
+++ b/gr-ezdop/src/python/run_tests.in
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# All this strange PYTHONPATH manipulation is required to run our
+# tests using our just built shared library and swig-generated python
+# code prior to installation.
+
+# build tree == src tree unless you're doing a VPATH build.
+# If you don't know what a VPATH build is, you're not doing one. Relax...
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+
+# Where to look in the build tree for our shared library
+libbld=@abs_top_builddir@/gr-ezdop/src/lib
+# Where to look in the src tree for swig generated python code
+libsrc=@abs_top_srcdir@/gr-ezdop/src/lib
+# Where to look in the src tree for hand written python code
+py=@abs_top_srcdir@/gr-ezdop/src/lib
+
+# Where to look for GNU Radio python modules in current build tree
+grbld=@abs_top_srcdir@/gnuradio-core/src/python
+grbld=$grbld:@abs_top_builddir@/gnuradio-core/src/lib/swig
+grbld=$grbld:@abs_top_builddir@/gnuradio-core/src/lib/swig/.libs
+
+PYTHONPATH="$grbld:$libbld:$libbld/.libs:$libsrc:$py:$PYTHONPATH"
+export PYTHONPATH
+
+# For OS/X
+DYLD_LIBRARY_PATH=@abs_top_builddir@/gnuradio-core/src/lib/.libs:@abs_top_builddir@/ezdop/src/host/ezdop/.libs
+export DYLD_LIBRARY_PATH
+
+#
+# This is the simple part...
+# Run everything that matches qa_*.py and return the final result.
+#
+
+ok=yes
+for file in @srcdir@/qa_*.py
+do
+ if ! $file
+ then
+ ok=no
+ fi
+done
+
+if [ $ok = yes ]
+then
+ exit 0
+else
+ exit 1
+fi